Subject: bug#32518: 26.1; Emacs crashes on window resize under GTK3

From: Sean Allred <[email-masked]>
Date: Fri, 24 Aug 2018 08:24:07 -0500

The problem isn't exactly the same (my mouse can enter the emacs window
with no problems, but /does/ fail upon clicking into it), but it seems
similar enough to give it a go.

> Can you clarify whether the patch has been applied to stretch?

It took a little bit of learning, but I don't think that patch is present
in stretch yet. (I used `apt-get source libgtk-3-dev` after pointing apt to
the source repositories.) I can follow up with the GTK maintainers as to
how to get that patch on my system and/or compile GTK from source (or
better yet,

Thanks, and nice find!
-Sean

On Fri, Aug 24, 2018 at 7:46 AM martin rudalics <[email-masked]> wrote:

>  > Starting emacs under X using GTK3, when the window is resized (or emacs
> is
>  > started maximized or at a certain size or...), emacs crashes hard with
> the
>  > stacktrace below. Logs from configure and make follow. The GTK3 bug
>  > mentioned [1] is marked resolved-obsolete and only appears to affect
> 3.0.x
>  > -- whereas
> [...]
>  > APT-Sources: http://deb.debian.org/debian stretch/main amd64 Packages
> [...]
>  > [1]: https://bugzilla.gnome.org/show_bug.cgi?id=85715
>
> In https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901038 I read wrt
> that bug that ...
>
>  >> The exact same patch has already been integrated into upstream and is
>  >> present in gtk+3.0-3.22.30 on Debian sid, can this fix please be
>  >> integrated into Debian stretch as well?
>
> ... and you seem to be on Debian stretch.  Can you clarify whether the
> patch has been applied to stretch?
>
> Thanks, martin
>